# List bundles

Endpoint: GET /bundles
Version: 1.0.457.36910
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: FullAccess, BundleAdmin, BundleReader

## Query parameters:

  - `catalogID` (string)
    ID of the catalog.

  - `categoryID` (string)
    ID of the category.

  - `supplierID` (string)
    ID of the supplier.

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.

  - `searchType` (string)
    Type of search to perform.

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.ID` (string)

  - `Items.OwnerID` (string)
    ID of the organization that owns the bundle. Only the ma marketplace owner can override the OwnerID on create.

  - `Items.Name` (string)

  - `Items.Description` (string)

  - `Items.Active` (boolean)
    If false, bundle is not visible or purchasable from a buyer's perspective.

  - `Items.xp` (object)
    Consider keeping bundle and product xp schemas consistent. Defining conflicting xp types will result in indexing problems.

  - `Meta` (object)

  - `Meta.Facets` (array)

  - `Meta.Facets.Name` (string)

  - `Meta.Facets.XpPath` (string)

  - `Meta.Facets.Values` (array)

  - `Meta.Facets.Values.Value` (string)

  - `Meta.Facets.Values.Count` (integer)

  - `Meta.Facets.xp` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX:

  - `4XX` (unknown)
    Expected errors range from 400-409. Anything in the 5XX range indicates a server issue and should be reported to support.

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: 404

  - `ErrorCode` (string)
    Example: NotFoundError

  - `Message` (string)
    Example: Object not found

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}

